Main Page | Modules | File List | File Members

# The Account Functions
[The Function Definitions]

The Account functions. More...

## Functions
GSbool | MSClient_CreateAccount (const GSchar *szMasterServerIP, GSushort usMasterServerPort, const GSchar *szVersion, const GSchar *szNickName, const GSchar *szPassword, const GSchar *szFirstName, const GSchar *szLastName, const GSchar *szEmail, const GSchar *szCountry)
| Create an account.
GSbool | MSClient_ModifyAccount (const GSchar *szPassword, const GSchar *szFirstName, const GSchar *szLastName, const GSchar *szEmail, const GSchar *szCountry)
| Create an account.

## Detailed Description

These functions are for creating and modifing accounts. They are to only be used by console games that can't access the web site to create accounts.

## Function Documentation

GSbool MSClient_CreateAccount | ( | const GSchar * | szMasterServerIP,
|  | GSushort | usMasterServerPort,
|  | const GSchar * | szVersion,
|  | const GSchar * | szNickName,
|  | const GSchar * | szPassword,
|  | const GSchar * | szFirstName,
|  | const GSchar * | szLastName,
|  | const GSchar * | szEmail,
|  | const GSchar * | szCountry
| ) |

  | Description: Create an account on the Game Service. This function has to be called before calling MSClient_Initialize() since that function requires a valid account. You must call MSClient_Engine() until you receive the callback MSClient_AccountCreationCB. Then you can call MSClient_Uninitialize() followed by MSClient_Initialize() with the created accounts username and password. Returns: The success of the Function Parameters:
  szMasterServerIP | The IP of the GSRouter
  usMasterServerPort | The port of the GSRotuer
  szVersion | Version of the player's client
  szNickName | Alias of the player
  szPassword | Password of the new player
  szFirstName | Player's first name
  szLastName | Player's last name
  szEmail | Player's email
  szCountry | Player's country

GSbool MSClient_ModifyAccount | ( | const GSchar * | szPassword,
|  | const GSchar * | szFirstName,
|  | const GSchar * | szLastName,
|  | const GSchar * | szEmail,
|  | const GSchar * | szCountry
| ) |

  | Description: Modifies an account on the Game Service. The success of the modification is received by the MSClient_ModifyAccountCB callback. Returns: The success of the Function Parameters:
  szPassword | Password of the new player
  szFirstName | Player's first name
  szLastName | Player's last name
  szEmail | Player's email
  szCountry | Player's country

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team